# PhasicFlow: boundariesMask< N > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundariesMask< N > Class Template Reference
Inheritance diagram for boundariesMask< N >:
[legend]
Collaboration diagram for boundariesMask< N >:
[legend]

## Public Member Functions

| boundariesMask ()=default
| boundariesMask (bool val)
| boundariesMask (std::initializer_list< bool > l)
bool | allElements (bool val)
bool | anyElement (bool val)
bool | noElement (bool val)

## Detailed Description

### template<size_t N>
class pFlow::boundariesMask< N >

Definition at line 11 of file boundariesMask.hpp.

## Constructor & Destructor Documentation

## boundariesMask() [1/3]

boundariesMask | ( |  | ) |

default

## boundariesMask() [2/3]

boundariesMask | ( | bool | val | ) |

inline

Definition at line 19 of file boundariesMask.hpp.

## boundariesMask() [3/3]

boundariesMask | ( | std::initializer_list< bool > | l | ) |

inline

Definition at line 24 of file boundariesMask.hpp.

## Member Function Documentation

## allElements()

bool allElements | ( | bool | val | ) |

inline

Definition at line 30 of file boundariesMask.hpp.

## anyElement()

bool anyElement | ( | bool | val | ) |

inline

Definition at line 36 of file boundariesMask.hpp.

## noElement()

bool noElement | ( | bool | val | ) |

inline

Definition at line 42 of file boundariesMask.hpp.

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/boundaries/boundariesMask.hpp